<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Dvelopp par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

/*Debut Securite*/
	if (!stristr($_SERVER['PHP_SELF'],"admin.php")) { die(); }
	if (strstr($ModPath,'..') || strstr($ModStart,'..') || stristr($ModPath,'script') || stristr($ModPath, 'cookie') || stristr($ModPath, 'iframe') || stristr($ModPath, 'applet') || stristr($ModPath, 'object') || stristr($ModPath, 'meta') || stristr($ModStart, 'script') || stristr($ModStart, 'cookie') || stristr($ModStart, 'iframe') || stristr($ModStart, 'applet') || stristr($ModStart, 'object') || stristr($ModStart, 'meta'))
	{
	die();
	}
/*Fin Securite*/


// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

if(!isset($mainfile))
{
	include("mainfile.php");
}

global $pdst, $language;
$pdst="1";

global $hlpfile, $aid, $radminsuper, $NPDS_Prefix;
include_once("lib/togglediv.class.php");

$subop = removeHack($subop);

if($admin) {
	// inclusion du fichier de traduction : L'origine est TOUJOURS le Franais
	if(file_exists("modules/".$ModPath."/lang/eca-projet-lang-".$language.".php")) { include_once("modules/".$ModPath."/lang/eca-projet-lang-".$language.".php"); } else { if(file_exists("modules/".$ModPath."/lang/eca-projet-lang-french.php")) { if(!isset($subop)) { echo "<script type=\"text/javascript\" language=\"JavaScript\">\nalert(\"La traduction dans votre langue n'existe pas.\\nFranais slectionn par dfaut.\");\n</script>\n"; }  include_once("modules/".$ModPath."/lang/eca-projet-lang-french.php"); } else { include("header.php"); echo "<div style=\"font-size: 24pt; text-align: center; color: red;\">Fichier de langue absent. Lancement du module impossible.<br/><br/>[ <a href=\"JavaScript:history.go(-1)\" style=\"font-size: 24pt; text-align: center; color: red;\">Retour en arrire</a> ]</div><br/><br/>"; include("footer.php"); die(); } }
	include("modules/".$ModPath."/eca-projet.conf.php");

	switch ($subop) {
		case "addcat":
			$id_parent = removeHack($id_parent);
            $nom = removeHack($nom);
            $id_parent = removeHack($id_parent);
			$query = "INSERT INTO ".$NPDS_Prefix."modprojets_categories VALUES ('','".$nom."','".$id_parent."','".$version."','0','".$developpeur."');";
			sql_query($query) or die(sql_error());
            eca_projet_calcule_avancement($id_parent);
            eca_projet_afficheAdmin();
			break;

		case "addprojet":
            $id = removeHack($id);
            $nom = removeHack($nom);
            $version = removeHack($version);
            $developpeur = removeHack($developpeur);
            $description = removeHack($description);
            $id_categorie = removeHack($id_categorie);
            $avancement = removeHack($avancement);
			$id_categorie = removeHack($id_categorie);
            $query = "INSERT INTO ".$NPDS_Prefix."modprojets_projets VALUES ('','".$nom."','".$description."','".$id_categorie."','".$version."','".$avancement."','".$developpeur."');";
			sql_query($query) or die(sql_error());
            eca_projet_calcule_avancement($id_categorie);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;

		case "editcat":
            $id = removeHack($id);
            eca_projet_afficheEditCategorie($id);
			break;

		case "editprojet":
            $id = removeHack($id);
            eca_projet_afficheEditProjet($id);
			break;

		case "savecat":
            $id = removeHack($id);
			$id_parent = removeHack($id_parent);
            $nom = removeHack($nom);
            $id_parent_old = removeHack($id_parent_old);
			$query = "UPDATE ".$NPDS_Prefix."modprojets_categories SET nom='".$nom."', id_parent='".$id_parent."', developpeur='".$developpeur."', version='".$version."' WHERE id='".$id."';";
			sql_query($query) or die(sql_error());
            if($id_parent != $id_parent_old)
                eca_projet_calcule_avancement($id_parent_old);
            eca_projet_calcule_avancement($id_parent);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;

		case "saveprojet":
            $id = removeHack($id);
            $nom = removeHack($nom);
            $version = removeHack($version);
            $developpeur = removeHack($developpeur);
            $description = removeHack($description);
            $id_categorie = removeHack($id_categorie);
            $avancement = removeHack($avancement);
		    
            $query = "UPDATE ".$NPDS_Prefix."modprojets_projets SET nom='".$nom."', description='".$description."', id_categorie='".$id_categorie."', version='".$version."', avancement='".$avancement."', developpeur='".$developpeur."' WHERE id='".$id."'";
			sql_query($query) or die(sql_error());
            if($id_categorie != $id_categorie_old)
                eca_projet_calcule_avancement($id_categorie_old);
            eca_projet_calcule_avancement($id_categorie);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;

		case "deletecat":
			$id = removeHack($id);
            $query = "SELECT id_parent FROM ".$NPDS_Prefix."modprojets_categories WHERE id='".$id."';";
            $result = sql_query($query) or die(sql_error());
            $parent = sql_fetch_assoc($result);
		    eca_projet_delete_cat($id);
            $query = "DELETE FROM ".$NPDS_Prefix."modprojets_categories WHERE id='".$id."';";
            sql_query($query);
		    eca_projet_calcule_avancement($parent["id_parent"]);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;

		case "deleteprojet":
			$id = removeHack($id);
            $query = "SELECT id_categorie FROM ".$NPDS_Prefix."modprojets_projets WHERE id='".$id."';";
            $result = sql_query($query) or die(sql_error());
            $cat = sql_fetch_assoc($result);
		    $query = "DELETE FROM ".$NPDS_Prefix."modprojets_projets WHERE id=\"".$id."\";";
		    sql_query($query);
		    eca_projet_calcule_avancement($cat["id_categorie"]);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;
		
		case "recalcule":
		    //eca_projet_calcule_avancement(1);
            eca_projet_calcule_nb_projets();
            eca_projet_afficheAdmin();
			break;

		default:
			eca_projet_afficheAdmin();
			break;
    }
} else {
    AccessDenied();
}


function eca_projet_header() {
    global $NPDS_Prefix;
    Opentable();
    echo "\n<center><h2>".eca_projet_translate("ECA-Projet - Administration du module")."</h2><br /><br /></center>\n";
}

function eca_projet_footer() {
    global $NPDS_Prefix, $affiche_footer;
    if($affiche_footer)
        echo "<br /><br /><center><i>".eca_projet_translate("Module r&eacute;alis&eacute; par E-Concept Applications")." - <a href=\"http://e-concept-applications.fr\" target=\"_blank\">http://e-concept-applications.fr</a></i></center>";
    Closetable();
}

function eca_projet_delete_cat($id_parent) {
    global $NPDS_Prefix;
    $query = "SELECT id FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id_parent."';";
    $result = sql_query($query) or die(sql_error());
    while($cat = sql_fetch_assoc($result)) {
        eca_projet_delete_cat($cat["id"]);
        $query2 = "DELETE FROM ".$NPDS_Prefix."modprojets_categories WHERE id='".$cat["id"]."';";
        sql_query($query2);
    }
    
    $query = "DELETE FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id_parent."';";
    sql_query($query);
}

function eca_projet_calcule_avancement($id) {
    global $NPDS_Prefix;
    if($id != '0') {
        $somme_avancements = array();
        $query = "SELECT avancement FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."';";
        $result = sql_query($query) or die(sql_error());
        while($avancement = sql_fetch_assoc($result))
            $somme_avancements[] = $avancement["avancement"];
        $query = "SELECT avancement FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id."';";
        $result = sql_query($query) or die(sql_error());
        while($avancement = sql_fetch_assoc($result))
            $somme_avancements[] = $avancement["avancement"];
        
        $nb = 0;
        $avancement = 0;
        foreach($somme_avancements as $a) {
            $avancement += $a;
            $nb++;
        }
        if($avancement > 0)
            $avancement = (int)($avancement / $nb);
        else
            $avancement = 0;
        $query = "UPDATE ".$NPDS_Prefix."modprojets_categories SET avancement='".$avancement."' WHERE id='".$id."';";
        sql_query($query) or die(sql_error());
        $query = "SELECT id_parent FROM ".$NPDS_Prefix."modprojets_categories WHERE id='".$id."';";
        $result = sql_query($query) or die(sql_error());
        $parent = sql_fetch_assoc($result);
        eca_projet_calcule_avancement($parent["id_parent"]);
    }
}

function eca_projet_calcule_nb_projets() {
    global $NPDS_Prefix;
    $query = "SELECT id FROM ".$NPDS_Prefix."modprojets_categories WHERE avancement != '100' AND id_parent = '0';";
    $result = sql_query($query) or die(sql_error());
    $nbProjetsNonTermines = 0;
    while(list($cat) = sql_fetch_row($result)) {
        $nbProjetsNonTermines += eca_projet_calcule_nb_projets_branche($cat);
    }
    
    $query = "SELECT id FROM ".$NPDS_Prefix."modprojets_categories WHERE avancement = '100' AND id_parent = '0';";
    $result = sql_query($query) or die(sql_error());
    $nbProjetsTermines = 0;
    while(list($cat) = sql_fetch_row($result)) {
        $nbProjetsTermines += eca_projet_calcule_nb_projets_branche($cat); 
    }
    
    $query = "UPDATE ".$NPDS_Prefix."modprojets_nb SET nb = '".$nbProjetsNonTermines."' WHERE id = 'not_finished';";
    sql_query($query) or die(sql_error());
    $query = "UPDATE ".$NPDS_Prefix."modprojets_nb SET nb = '".$nbProjetsTermines."' WHERE id = 'finished';";
    sql_query($query) or die(sql_error());
}

function eca_projet_calcule_nb_projets_branche($cat) {
    global $NPDS_Prefix;
    $query = "SELECT id FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent = '".$cat."';";
    $result = sql_query($query) or die(sql_error());
    $nbProjets = 0;
    while(list($id_cat) = sql_fetch_row($result)) {
        $nbProjets += eca_projet_calcule_nb_projets_branche($id_cat);
    }
    $query = "SELECT id FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie = '".$cat."';";
    $result = sql_query($query) or die(sql_error());
    $nbProjets += sql_num_rows($result);
    
    return $nbProjets;
}

function eca_projet_display_tree($id, $niveau, &$toggle) {
    global $NPDS_Prefix;
    global $ModPath, $ModStart;
    global $largeur_barre_adm, $hauteur_barre_adm, $couleur_barre_adm, $fond_barre_adm, $taille_texte_adm, $couleur_texte_adm, $bordure_barre_adm;
    
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    $nb_cat = sql_num_rows($result);
    
    if($nb_cat > 0) {
        echo "<div style=\"margin-left: ".($niveau*20)."px;\">";
        echo "<ul>";
        while($cat = sql_fetch_assoc($result)) {
            echo "<li>".$toggle->Img()."&nbsp;<b>".$cat["nom"];
            if($cat["version"] != "")
                echo " (".$cat["version"].")";
            echo "</b>";
            if($cat["developpeur"] != "")
                echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$cat["developpeur"];
            echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$cat["avancement"]."\" alt=\"".$cat["avancement"]."%\" />&nbsp;-&nbsp;<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=".$ModPath."&ModStart=".$ModStart."&subop=editcat&id=".$cat["id"]."\"><img src=\"modules/".$ModPath."/images/edit.png\" alt=\"Modifier\" style=\"border: none;\" /></a>&nbsp;-&nbsp;<a href=\"#\" onclick=\"if(window.confirm('".eca_projet_translate("Etes-vous sr de vouloir supprimer cet ensemble de projet ?\\n\\nAttention! Tous les sous-ensembles et tous les projets dpendant de celui-ci seront supprims!")."')) location.href='admin.php?op=Extend-Admin-SubModule&ModPath=".$ModPath."&ModStart=".$ModStart."&subop=deletecat&id=".$cat["id"]."'; return false;\"><img src=\"modules/".$ModPath."/images/delete.png\" alt=\"Supprimer\" style=\"border: none;\" /></a><br /><br />";
            echo $toggle->Begin();
            eca_projet_display_tree($cat["id"], $niveau+1, $toggle);
            echo $toggle->End();
            echo "</li>";
        }
        echo "</ul></div>";
    }
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id."' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    echo "<div style=\"margin-left: ".($niveau*20)."px;\"><ul>";
    while($proj = sql_fetch_assoc($result)) {
        echo "<li><b>".$proj["nom"];
        if($proj["version"] != "")
            echo " (".$proj["version"].")";
        echo "</b>";
        if($proj["developpeur"] != "")
            echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$proj["developpeur"];
        echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" />&nbsp;-&nbsp;<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=".$ModPath."&ModStart=".$ModStart."&subop=editprojet&id=".$proj["id"]."\"><img src=\"modules/".$ModPath."/images/edit.png\" alt=\"Modifier\" style=\"border: none;\" /></a>&nbsp;-&nbsp;<a href=\"#\" onclick=\"if(window.confirm('".eca_projet_translate("Etes-vous sr de vouloir supprimer ce projet ?")."')) location.href='admin.php?op=Extend-Admin-SubModule&ModPath=".$ModPath."&ModStart=".$ModStart."&subop=deleteprojet&id=".$proj["id"]."'; return false;\"><img src=\"modules/".$ModPath."/images/delete.png\" alt=\"Supprimer\" style=\"border: none;\" /></a><br />";
        echo eca_projet_translate("Description :")."<br /><i>".$proj["description"]."</i><br /><br /></li>";
    }
    echo "</ul></div>";
}

function eca_projet_display_liste_categories($id, $niveau, $id_selected, $id_element) {
    global $NPDS_Prefix;
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    $nb_cat = sql_num_rows($result);
    
    if($nb_cat > 0) {
        while($cat = sql_fetch_assoc($result)) {
            if($cat["id"] != $id_element) {
                echo "<option value=\"".$cat["id"]."\"";
                if($cat["id"] == $id_selected)
                    echo " selected=\"selected\"";
                echo ">";
                for($i = 0; $i < $niveau; $i++)
                    echo "->";
                echo $cat["nom"]."</option>";
                eca_projet_display_liste_categories($cat["id"], $niveau+1, $id_selected, $id_element);
            }
        }
    }
}


function eca_projet_afficheAdmin() {
    global $NPDS_Prefix, $ModPath, $ModStart;
    
    eca_projet_header();
    
    $query = "SELECT avancement FROM ".$NPDS_Prefix."modprojets_categories WHERE id='1';";
    $proj = sql_fetch_assoc(sql_query($query));
    
    echo "<center><b>".eca_projet_translate("Avancement global des projets en cours :")."</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" /></center>";
    
    echo "<big><b>".eca_projet_translate("Liste des projets")."</b></big><br /><br />\n";
    
    $query = "SELECT nb FROM ".$NPDS_Prefix."modprojets_nb WHERE id = 'not_finished';";
    $count1 = sql_fetch_assoc(sql_query($query));
    $query = "SELECT nb FROM ".$NPDS_Prefix."modprojets_nb WHERE id = 'finished';";
    $count2 = sql_fetch_assoc(sql_query($query));
    
    if($count1["nb"]+$count2["nb"] > 0) {
        $toggle = new ToggleDiv($count1["nb"]+$count2["nb"]);
        echo $toggle->All()."<br />";
        eca_projet_display_tree(1, 0, $toggle);
    }
    
    echo "\n"
        ."\n"
        ."\n"
        ."\n"
        ."<div style=\"text-align: center;\">\n"
        ."<big><b>".eca_projet_translate("Ajouter un ensemble de projets")."</b></big><br /><br />\n"
        ."\n"
        ."<form method=\"post\" onsubmit=\"if(document.getElementById('ensemblenom').value == '') { alert('Veuillez au moins remplir le champ nom, merci.'); return false; } else return true;\">\n"
        ."<table style=\"margin: auto;\">\n"
        ."\n"
        ."<tr>\n"
        ."\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Nom de l'ensemble : ")."</td><td><input type=\"text\" name=\"nom\" id=\"ensemblenom\" /></td>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Ensemble parent : ")."</td><td><select name=\"id_parent\">\n"
        ."<option value=\"1\" selected=\"seleted\">".eca_projet_translate("Pas de parent")."</option>";
    eca_projet_display_liste_categories(1, 0, "", "");
    echo "</select></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("D&eacute;veloppeur : ")."</td><td><input type=\"text\" name=\"developpeur\" /></td>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Version : ")."</td><td><input type=\"text\" name=\"version\" size=\"10\" /></td></tr>\n"
        ."\n"
        ."</table>\n"
        ."<input type=\"hidden\" name=\"subop\" value=\"addcat\" />\n"
        ."<input type=\"submit\" name=\"submit\" value=\"".eca_projet_translate("Ajouter l'ensemble")."\" />\n"
        ."\n"
        ."\n"
        ."</form>\n"
        ."\n"
        ."<br /><br />\n"
        ."\n"
        ."<big><b>".eca_projet_translate("Ajouter un projet")."</b></big><br /><br />\n"
        ."\n"
        ."<form method=\"post\" onsubmit=\"if(document.getElementById('prjnom').value == '') { alert('Veuillez au moins remplir le champ nom, merci.'); return false; } else return true;\">\n"
        ."<table style=\"margin: auto;\">\n"
        ."\n"
        ."<tr>\n"
        ."\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Nom du projet : ")."</td><td><input type=\"text\" name=\"nom\" id=\"prjnom\" /></td>\n"
        ."<td style=\"text-align: right; vertical-align: middle;\" rowspan=\"3\">".eca_projet_translate("Description : ")."</td><td style=\"vertical-align: middle;\" rowspan=\"3\"><textarea name=\"description\"></textarea></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("Version : ")."</td><td><input type=\"text\" name=\"version\" size=\"10\" /></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("D&eacute;veloppeur : ")."</td><td><input type=\"text\" name=\"developpeur\" /></td></tr>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Ensemble de projets : ")."</td><td><select name=\"id_categorie\">\n"
        ."<option value=\"1\" selected=\"seleted\">".eca_projet_translate("Projet seul")."</option>";
    eca_projet_display_liste_categories(1, 0, "", "");
    echo "</select></td>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Avancement : ")."</td><td><select name=\"avancement\">";
    for($i = 0; $i <= 100; $i++) {
        echo "<option value=\"".$i."\">".$i."%</option>";
    }
    echo "</select></td>\n"
        ."</tr>\n"
        ."\n"
        ."</table>\n"
        ."\n"
        ."<input type=\"hidden\" name=\"subop\" value=\"addprojet\" />\n"
        ."<input type=\"submit\" name=\"submit\" value=\"".eca_projet_translate("Ajouter le projet")."\" />\n"
        ."\n"
        ."\n"
        ."</form>\n"
        ."\n"
        ."\n"
        ."\n"
        ."</div>\n"
        ."\n"
        ."\n";
    
    eca_projet_footer();
}

function eca_projet_afficheEditProjet($id) {
    global $NPDS_Prefix, $ModPath, $ModStart;
    
    eca_projet_header();
    
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_projets WHERE id='".$id."';";
    $proj = sql_fetch_assoc(sql_query($query));
    

    echo "\n"
        ."\n"
        ."\n"
        ."\n"
        ."<div style=\"text-align: center;\">\n"
        ."<big><b>".eca_projet_translate("Modifier un projet")."</b></big>\n"
        ."\n"
        ."<form method=\"post\" onsubmit=\"if(document.getElementById('prjnom').value == '') { alert('Veuillez au moins remplir le champ nom, merci.'); return false; } else return true;\">\n"
        ."<table style=\"margin: auto;\">\n"
        ."\n"
        ."<tr>\n"
        ."\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Nom du projet : ")."</td><td><input type=\"text\" name=\"nom\" id=\"prjnom\" value=\"".$proj["nom"]."\" /></td>\n"
        ."<td style=\"text-align: right; vertical-align: middle;\" rowspan=\"3\">".eca_projet_translate("Description : ")."</td><td style=\"vertical-align: middle;\" rowspan=\"3\"><textarea name=\"description\">".$proj["description"]."</textarea></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("Version : ")."</td><td><input type=\"text\" name=\"version\" value=\"".$proj["version"]."\" size=\"10\" /></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("D&eacute;veloppeur : ")."</td><td><input type=\"text\" name=\"developpeur\" value=\"".$proj["developpeur"]."\" /></td></tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("Ensemble de projets : ")."</td><td><select name=\"id_categorie\">\n"
        ."<option value=\"1\"";
    if($proj["id_categorie"] == "1")
        echo " selected=\"selected\"";
    echo ">".eca_projet_translate("Projet seul")."</option>";
    eca_projet_display_liste_categories(1, 0, $proj["id_categorie"], "");
    echo "</select></td>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Avancement : ")."</td><td><select name=\"avancement\">";
    for($i = 0; $i <= 100; $i++) {
        echo "<option value=\"".$i."\"";
        if($i == $proj["avancement"])
            echo " selected=\"selected\"";
        echo ">".$i."%</option>";
    }
    echo "</select></td></tr>\n"
        ."<tr><td colspan=\"4\"><input type=\"hidden\" name=\"subop\" value=\"saveprojet\" /><input type=\"hidden\" name=\"id\" value=\"".$id."\" /><input type=\"hidden\" name=\"id_categorie_old\" value=\"".$proj["id_categorie"]."\" />\n"
        ."<input type=\"submit\" name=\"submit\" value=\"Modifier le projet\" /></td>\n"
        ."\n"
        ."</tr>\n"
        ."\n"
        ."</table>\n"
        ."\n"
        ."\n"
        ."</form>\n"
        ."\n"
        ."\n"
        ."</div>\n"
        ."\n"
        ."\n";
    
    eca_projet_footer();
}

function eca_projet_afficheEditCategorie($id) {
    global $NPDS_Prefix, $ModPath, $ModStart;
    
    eca_projet_header();
    
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id='".$id."';";
    $cat = sql_fetch_assoc(sql_query($query));
    

    echo "\n"
        ."\n"
        ."\n"
        ."\n"
        ."<div style=\"text-align: center;\">\n"
        ."<big><b>".eca_projet_translate("Modifier un ensemble de projets")."</b></big>\n"
        ."\n"
        ."<form method=\"post\" onsubmit=\"if(document.getElementById('ensemblenom').value == '') { alert('Veuillez au moins remplir le champ nom, merci.'); return false; } else return true;\">\n"
        ."<table style=\"margin: auto;\">\n"
        ."\n"
        ."<tr>\n"
        ."\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Nom de l'ensemble : ")."</td><td><input type=\"text\" name=\"nom\" id=\"ensemblenom\" value=\"".$cat["nom"]."\" /></td>\n";
    echo "<td style=\"text-align: right;\">".eca_projet_translate("Ensemble parent : ")."</td><td><select name=\"id_parent\">\n"
        ."<option value=\"1\"";
    if($cat["id_parent"] == "1")
        echo " selected=\"seleted\"";
    echo ">".eca_projet_translate("Pas de parent")."</option>";
    eca_projet_display_liste_categories(1, 0, $cat["id_parent"], $cat["id"]);
    echo "</select></td>\n";
    echo "\n"
        ."</tr>\n"
        ."<tr><td style=\"text-align: right;\">".eca_projet_translate("D&eacute;veloppeur : ")."</td><td><input type=\"text\" name=\"developpeur\" value=\"".$cat["developpeur"]."\" /></td>\n"
        ."<td style=\"text-align: right;\">".eca_projet_translate("Version : ")."</td><td><input type=\"text\" name=\"version\" value=\"".$cat["version"]."\" size=\"10\" /></td></tr>\n"
        ."\n"
        ."</table>\n"
        ."\n"
        ."<input type=\"hidden\" name=\"subop\" value=\"savecat\" /><input type=\"hidden\" name=\"id\" value=\"".$id."\" /><input type=\"hidden\" name=\"id_parent_old\" value=\"".$cat["id_parent"]."\" />\n"
        ."<input type=\"submit\" name=\"submit\" value=\"".eca_projet_translate("Modifier l'ensemble")."\" />\n"
        ."\n"
        ."</form>\n"
        ."\n"
        ."\n"
        ."</div>\n"
        ."\n"
        ."\n";
    
    eca_projet_footer();
}


?>
