<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Dvelopp par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

/*Debut Securite*/
	if (!stristr($_SERVER['PHP_SELF'],"modules.php")) { die(); }
	if (strstr($ModPath,'..') || strstr($ModStart,'..') || stristr($ModPath,'script') || stristr($ModPath, 'cookie') || stristr($ModPath, 'iframe') || stristr($ModPath, 'applet') || stristr($ModPath, 'object') || stristr($ModPath, 'meta') || stristr($ModStart, 'script') || stristr($ModStart, 'cookie') || stristr($ModStart, 'iframe') || stristr($ModStart, 'applet') || stristr($ModStart, 'object') || stristr($ModStart, 'meta'))
	{
	die();
	}
/*Fin Securite*/

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

$debug_eca_projet = "";
global $language, $NPDS_Prefix, $pdst, $debug_eca_projet;

$pdst = "1";

$vide = removeHack($vide);

include("header.php");
if (!isset($mainfile)) { include("mainfile.php"); }
include_once("lib/togglediv.class.php");



if(file_exists("modules/".$ModPath."/lang/eca-projet-lang-".$language.".php")) { include_once("modules/".$ModPath."/lang/eca-projet-lang-".$language.".php"); } else { include_once("modules/".$ModPath."/lang/eca-projet-lang-french.php"); }
include("modules/".$ModPath."/eca-projet.conf.php");

function eca_projet_footer() {
    global $NPDS_Prefix, $affiche_footer;
    if($affiche_footer)
        echo "<br /><br /><center><i>".eca_projet_translate("Module r&eacute;alis&eacute; par E-Concept Applications")." - <a href=\"http://e-concept-applications.fr\" target=\"_blank\">http://e-concept-applications.fr</a></i></center>";
}

function eca_projet_display_tree($id, $niveau, &$toggle) {
    global $ModPath, $ModStart, $debug_eca_projet, $NPDS_Prefix;
    global $largeur_barre_adm, $hauteur_barre_adm, $couleur_barre_adm, $fond_barre_adm, $taille_texte_adm, $couleur_texte_adm, $bordure_barre_adm;
    
    if($niveau == 0)
        $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='1' AND avancement != '100' ORDER BY nom;";
    else
        $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    $nb_cat = sql_num_rows($result);
    
    if($nb_cat > 0) {
        echo "<div style=\"margin-left: ".($niveau*20)."px;\">";
        echo "<ul>";
        while($cat = sql_fetch_assoc($result)) {
            echo "<li>".$toggle->Img()."&nbsp;<b>".$cat["nom"];
            if($cat["version"] != "")
                echo " (".$cat["version"].")";
            echo "</b>";
            if($cat["developpeur"] != "")
                echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$cat["developpeur"];
            echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$cat["avancement"]."\" alt=\"".$cat["avancement"]."%\" /><br /><br />";
            echo $toggle->Begin();
            eca_projet_display_tree($cat["id"], $niveau+1, $toggle);
            echo $toggle->End();
            echo "</li>";
        }
        echo "</ul></div>";
    }
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id."' AND ((id_categorie='1' AND avancement!='100') OR id_categorie!='1') ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    echo "<div style=\"margin-left: ".($niveau*20)."px;\"><ul>";
    while($proj = sql_fetch_assoc($result)) {
        echo "<li><b>".$proj["nom"];
        if($proj["version"] != "")
            echo " (".$proj["version"].")";
        echo "</b>";
        if($proj["developpeur"] != "")
            echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$proj["developpeur"];
        echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" /><br />";
        echo eca_projet_translate("Description :")."<br /><i>".$proj["description"]."</i><br /><br /></li>";
    }
    echo "</ul></div>";
}

function eca_projet_display_tree_finished($id, $niveau, &$toggle) {
    global $ModPath, $ModStart, $NPDS_Prefix;
    global $largeur_barre_adm, $hauteur_barre_adm, $couleur_barre_adm, $fond_barre_adm, $taille_texte_adm, $couleur_texte_adm, $bordure_barre_adm;
    
    if($niveau == 0)
        $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' AND avancement='100' ORDER BY nom;";
    else
        $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    $nb_cat = sql_num_rows($result);
    
    if($nb_cat > 0) {
        echo "<div style=\"margin-left: ".($niveau*20)."px;\">";
        echo "<ul>";
        while($cat = sql_fetch_assoc($result)) {
            echo "<li>".$toggle->Img()."&nbsp;<b>".$cat["nom"];
            if($cat["version"] != "")
                echo " (".$cat["version"].")";
            echo "</b>";
            if($cat["developpeur"] != "")
                echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$cat["developpeur"];
            echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$cat["avancement"]."\" alt=\"".$cat["avancement"]."%\" /><br /><br />";
            echo $toggle->Begin();
            eca_projet_display_tree($cat["id"], $niveau+1, $toggle);
            echo $toggle->End();
            echo "</li>";
        }
        echo "</ul></div>";
    }
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id."' AND avancement='100' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    echo "<div style=\"margin-left: ".($niveau*20)."px;\"><ul>";
    while($proj = sql_fetch_assoc($result)) {
        echo "<li><b>".$proj["nom"];
        if($proj["version"] != "")
            echo " (".$proj["version"].")";
        echo "</b>";
        if($proj["developpeur"] != "")
            echo " - ".eca_projet_translate("D&eacute;velopp&eacute; par ").$proj["developpeur"];
        echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" /><br />";
        echo eca_projet_translate("Description :")."<br /><i>".$proj["description"]."</i><br /><br /></li>";
    }
    echo "</ul></div>";
}

OpenTable();

$query = "SELECT avancement FROM ".$NPDS_Prefix."modprojets_categories WHERE id='1';";
$proj = sql_fetch_assoc(sql_query($query));

echo "<center><b><big>".eca_projet_translate("Avancement global des projets en cours :")."</big></b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"modules/".$ModPath."/barre_adm.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" /></center><br /><br />";

$query = "SELECT nb FROM ".$NPDS_Prefix."modprojets_nb WHERE id = 'not_finished';";
$count1 = sql_fetch_assoc(sql_query($query));
$query = "SELECT nb FROM ".$NPDS_Prefix."modprojets_nb WHERE id = 'finished';";
$count2 = sql_fetch_assoc(sql_query($query));
echo "<big><b>".eca_projet_translate("Liste des projets en cours")."</b></big><br /><br />";

$toggle = new ToggleDiv($count1["nb"]);
echo $toggle->All()."<br />";

eca_projet_display_tree(1, 0, $toggle);

echo "<br /><br /><big><b>".eca_projet_translate("Liste des projets termin&eacute;s")."</b></big><br /><br />";
$toggle2 = new ToggleDiv($count2["nb"]);
echo $toggle2->All()."<br />";

eca_projet_display_tree_finished(1, 0, $toggle2);

if($admin) {
    echo "<br /><div style=\"text-align: center;\">-::- <a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=".$ModPath."&amp;ModStart=admin/eca-projet-admin\" class=\"noir\">".eca_projet_translate("Administration du module")."</a> -::-</div><br />";
    echo $debug_eca_projet;
}
eca_projet_footer();
CloseTable();
include("footer.php");

?>
