<?
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Dvelopp par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

function eca_projet_translate($phrase) {
	switch ($phrase)
	{
		// Traductions du front-end du module
        case "Module r&eacute;alis&eacute; par E-Concept Applications": $tmp = "Module created by E-Concept Applications"; break;
		case "D&eacute;velopp&eacute; par ": $tmp = "Developed by"; break;
		case "Description :": $tmp = "Description :"; break;
		case "Avancement global des projets en cours :": $tmp = "Global progress of the current projects :"; break;
		case "Liste des projets en cours": $tmp = "List of the current projects"; break;
		case "Liste des projets termin&eacute;s": $tmp = "List of the finished projects"; break;
		case "Administration du module": $tmp = "Administration of the module"; break;
		case "Pas de projet en cours actuellement...": $tmp = "No current project at present..."; break;
		case "Voir les projets termin&eacute;s...": $tmp = "View the finished projects..."; break;
		case "D&eacute;tail des projets...": $tmp = "Details of the projects..."; break;
		case "Administration": $tmp = "Administration"; break;
		
		// Traductions de l'admin du module
		case "ECA-Projet - Administration du module": $tmp = "ECA-Projet - Administration of the module"; break;
        case "Module r&eacute;alis&eacute; par E-Concept Applications": $tmp = "Module created by E-Concept Applications"; break;
		case "Etes-vous sr de vouloir supprimer cet ensemble de projet ?\\n\\nAttention! Tous les sous-ensembles et tous les projets dpendant de celui-ci seront supprims!": $tmp = "Are you sure to want to delete this group of projects?\\n\\nAttention! All the subsets and all the projects depending on this one will be deleted!"; break;
		case "Etes-vous sr de vouloir supprimer ce projet ?": $tmp = "Are you sure to want to delete this project?"; break;
		case "Liste des projets": $tmp = "List of the projects"; break;
		case "Ajouter un ensemble de projets": $tmp = "Add a group of projects"; break;
		case "Nom de l'ensemble : ": $tmp = "Name of the group : "; break;
		case "Ensemble parent : ": $tmp = "Parent group : "; break;
		case "Pas de parent": $tmp = "No parent"; break;
		case "Version : ": $tmp = "Version : "; break;
		case "Ajouter l'ensemble": $tmp = "Add the group"; break;
		case "Ajouter un projet": $tmp = "Add a project"; break;
		case "Nom du projet : ": $tmp = "Name of the project"; break;
		case "D&eacute;veloppeur : ": $tmp = "Developer"; break;
		case "Ensemble de projets : ": $tmp = "Group of projects : "; break;
		case "Projet seul": $tmp = "Standalone project"; break;
		case "Avancement : ": $tmp = "Avancement : "; break;
		case "Ajouter le projet": $tmp = "Add the project"; break;
		case "Modifier un projet": $tmp = "Edit a project"; break;
		case "Modifier un ensemble de projets": $tmp = "Edit a group of projects"; break;
		case "Modifier l'ensemble": $tmp = "Edit the group"; break;


//		case "": $tmp = ""; break;
//		case "": $tmp = ""; break;

		default: $tmp = "Need to be translated: <b>[** $phrase **]</b>"; break;
	}
	return $tmp;
}
?>
