DROP TABLE IF EXISTS `modprojets_nb`;
CREATE TABLE IF NOT EXISTS `modprojets_nb` (
  `id` varchar(15) NOT NULL,
  `nb` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module Projet - Nombre de projets finis et non-finis';

INSERT INTO `modprojets_nb` (`id`, `nb`) VALUES ('not_finished', 0), ('finished', 0);

DROP TABLE IF EXISTS `modprojets_categories`;
CREATE TABLE IF NOT EXISTS `modprojets_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(100) NOT NULL,
  `id_parent` int(11) NOT NULL,
  `version` varchar(20) NOT NULL,
  `avancement` int(3) NOT NULL,
  `developpeur` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module Projet - Catégories de projets' AUTO_INCREMENT=2;

INSERT INTO `modprojets_categories` VALUES (1, 'Racine', 0, '', 0, '');

DROP TABLE IF EXISTS `modprojets_projets`;
CREATE TABLE IF NOT EXISTS `modprojets_projets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `description` varchar(255) NOT NULL,
  `id_categorie` int(11) NOT NULL,
  `version` varchar(20) NOT NULL,
  `avancement` int(3) NOT NULL,
  `developpeur` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module Projet - Liste des projets';
