<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Dvelopp par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

global $language, $NPDS_Prefix;

$modProjetContent = "";
global $ModPathBloc, $modProjetContent;

$ModPathBloc = "eca-projet";

$modProjetContent = "";

if(file_exists("modules/".$ModPathBloc."/lang/eca-projet-lang-".$language.".php")) { include_once("modules/".$ModPathBloc."/lang/eca-projet-lang-".$language.".php"); } else { include_once("modules/".$ModPathBloc."/lang/eca-projet-lang-french.php"); }
include("modules/".$ModPathBloc."/eca-projet.conf.php");

function eca_projet_display_bloc($id, $niveau, $profondeur) {
    global $ModPathBloc, $modProjetContent, $NPDS_Prefix;
    global $largeur_barre_bloc, $hauteur_barre_bloc, $couleur_barre_bloc, $fond_barre_bloc, $taille_texte_bloc, $couleur_texte_bloc, $bordure_barre_bloc;
    
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_categories WHERE id_parent='".$id."' AND avancement!='100' ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    $nb_cat = sql_num_rows($result);
    
    if($nb_cat > 0) {
        while($cat = sql_fetch_assoc($result)) {
        $modProjetContent .= "<b>".$cat["nom"];
        if($cat["version"] != "")
            $modProjetContent .= "&nbsp;-&nbsp;v".$cat["version"];
        $modProjetContent .= "</b>";
        $modProjetContent .= "<br /><img src=\"modules/".$ModPathBloc."/barre_bloc.php?pourcentage=".$cat["avancement"]."\" alt=\"".$cat["avancement"]."%\" />";
        if($cat["developpeur"] != "")
            $modProjetContent .= "&nbsp;-::-&nbsp;".$cat["developpeur"];
        $modProjetContent .= "<br />";
        }
    }
    $query = "SELECT * FROM ".$NPDS_Prefix."modprojets_projets WHERE id_categorie='".$id."' AND ((id_categorie='1' AND avancement!='100') OR id_categorie!='1') ORDER BY nom;";
    $result = sql_query($query) or die(sql_error());
    while($proj = sql_fetch_assoc($result)) {
        $modProjetContent .= "<b>".$proj["nom"];
        if($proj["version"] != "")
            $modProjetContent .= "&nbsp;-&nbsp;v".$proj["version"];
        $modProjetContent .= "</b>";
        $modProjetContent .= "<br /><img src=\"modules/".$ModPathBloc."/barre_bloc.php?pourcentage=".$proj["avancement"]."\" alt=\"".$proj["avancement"]."%\" />";
        if($proj["developpeur"] != "")
            $modProjetContent .= "&nbsp;-::-&nbsp;".$proj["developpeur"];
        $modProjetContent .= "<br />";
    }
}

eca_projet_display_bloc(1, 0, $profondeur);
if($modProjetContent == "")
    $modProjetContent = eca_projet_translate("Pas de projet en cours actuellement...")."<br /><br /><a href=\"modules.php?ModPath=".$ModPathBloc."&amp;ModStart=eca-projet\" class=\"noir\">".eca_projet_translate("Voir les projets termin&eacute;s...")."</a><br /><br />";
else
    $modProjetContent .= "<br /><a href=\"modules.php?ModPath=".$ModPathBloc."&amp;ModStart=eca-projet\" class=\"noir\">".eca_projet_translate("D&eacute;tail des projets...")."</a><br /><br />";
if($admin)
    $modProjetContent .= "-::- <a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=".$ModPathBloc."&amp;ModStart=admin/eca-projet-admin\" class=\"noir\">".eca_projet_translate("Administration")."</a> -::-<br /><br />";

$title = aff_langue($title);
$content = $modProjetContent;
?>
