<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Développé par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/


// Config des barres de l'admin et de la page principale du module
global $largeur_barre_adm, $hauteur_barre_adm, $couleur_barre_adm, $fond_barre_adm, $taille_texte_adm, $couleur_texte_adm, $bordure_barre_adm, $font;

// Largeur des barres
$largeur_barre_adm = 140;
// Hauteur des barres
$hauteur_barre_adm = 12;
// Couleur des barres inférieures au seuil 1
$couleur_barre_seuil1_adm = "255,0,0";
// Pourcentage du seuil 1
$seuil1_adm = "40";
// Couleur des barres entre le seuil 1 et le seuil 2
$couleur_barre_seuil2_adm = "255,170,0";
// Pourcentage du seuil 2
$seuil2_adm = "75";
// Couleur des barres supérieures au seuil 2
$couleur_barre_seuil3_adm = "0,255,0";
// Couleur de fond des barres
$fond_barre_adm = "255,238,153";
// Taille du texte
$taille_texte_adm = 7;
// Couleur du texte des barres
$couleur_texte_adm = "20,50,150";
// Couleur de la bordure des barres
$bordure_barre_adm = "0,0,0";

// Config des barres du bloc
global $largeur_barre_bloc, $hauteur_barre_bloc, $couleur_barre_bloc, $fond_barre_bloc, $taille_texte_bloc, $couleur_texte_bloc, $bordure_barre_bloc;

// Largeur des barres
$largeur_barre_bloc = 50;
// Hauteur des barres
$hauteur_barre_bloc = 12;
// Couleur des barres inférieures au seuil 1
$couleur_barre_seuil1_bloc = "255,0,0";
// Pourcentage du seuil 1
$seuil1_bloc = "40";
// Couleur des barres entre le seuil 1 et le seuil 2
$couleur_barre_seuil2_bloc = "255,170,0";
// Pourcentage du seuil 2
$seuil2_bloc = "75";
// Couleur des barres supérieures au seuil 2
$couleur_barre_seuil3_bloc = "0,255,0";
// Couleur de fond des barres
$fond_barre_bloc = "255,238,153";
// Taille du texte
$taille_texte_bloc = 7;
// Couleur du texte des barres
$couleur_texte_bloc = "20,50,150";
// Couleur de la bordure des barres
$bordure_barre_bloc = "0,0,0";

// Titre du bloc
$title = "[french]Suivi de projets[/french][!english]Projects[/english]";

$affiche_footer = false;

?>
