<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* NMIG : NPDS Module Installer Generator                               */
/* --------------------------------------                               */
/*                                                                      */
/* Version 1.1 - 13 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Gnrateur de fichier de configuration pour Module-Install 1.1       */
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */#	N      N  M      M  IIIII     GGG
/* Module-Install est un installeur inspir du programme d'installation */#	NN     N  MM    MM    I     GG   GG
/* d'origine du module Hot-Projet dvelopp par Hotfirenet              */#	N N    N  M M  M M    I    G       G
/*                                                                      */#	N  N   N  M  MM  M    I    G
/************************************************************************/#	N   N  N  M      M    I    G   GGGGGG
/*                                                                      */#	N    N N  M      M    I    G      GG
/* NPDS : Net Portal Dynamic System                                     */#	N     NN  M      M    I     GG   GG
/* ================================                                     */#	N      N  M      M  IIIII     GGG
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

global $NPDS_Prefix;

#autodoc $name_module: Nom du module

$name_module = "ECA-Projet";


#autodoc $list_fich : Modifications de fichiers: Dans le premier tableau, tapez le nom du fichier
#autodoc et dans le deuxime, A LA MEME POSITION D'INDEX QUE LE PREMIER, tapez le code  insrer dans le fichier.
#autodoc Si le fichier doit tre cr, n'oubliez pas les < ? php et ? > !!! (sans espace!).
#autodoc Synopsis: $list_fich = array(array("nom_fichier1","nom_fichier2"), array("contenu_fchier1","contenu_fichier2"));

$list_fich = array(array("admin/extend-modules.txt"), array("[module]\n  [nom]ECA-Projet[/nom]\n  [ModPath]eca-projet[/ModPath]\n  [ModStart]admin/eca-projet-admin[/ModStart]\n[/module]\n      "));


#autodoc $sql = array(""): Si votre module doit excuter une ou plusieurs requtes SQL, tapez vos requtes ici.
#autodoc Attention! UNE requte par lment de tableau!
#autodoc Synopsis: $sql = array("requte_sql_1","requte_sql_2");

$sql = array("DROP TABLE IF EXISTS `".$NPDS_Prefix."modprojets_nb`;", 
"CREATE TABLE IF NOT EXISTS `".$NPDS_Prefix."modprojets_nb` ( 
 `id` varchar(15) NOT NULL,
 `nb` tinyint(4) NOT NULL,
 PRIMARY KEY  (`id`))
 TYPE=MyISAM COMMENT='Module Projet - Nombre de projets finis et non-finis';",
 "INSERT INTO `".$NPDS_Prefix."modprojets_nb` (`id`, `nb`) VALUES('not_finished', 0),('finished', 0);",
 "DROP TABLE IF EXISTS `".$NPDS_Prefix."modprojets_categories`;",
 "CREATE TABLE IF NOT EXISTS `".$NPDS_Prefix."modprojets_categories` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `nom` varchar(100) NOT NULL,
 `id_parent` int(11) NOT NULL,
 `version` varchar(20) NOT NULL,
 `avancement` int(3) NOT NULL, 
 `developpeur` varchar(50) NOT NULL,
 PRIMARY KEY  (`id`)) TYPE=MyISAM COMMENT='Module Projet - Catgories de projets' AUTO_INCREMENT=2;",
 "INSERT INTO `".$NPDS_Prefix."modprojets_categories` VALUES (1, 'Racine', 0, '', 0, '');",
 "DROP TABLE IF EXISTS `".$NPDS_Prefix."modprojets_projets`;",
 "CREATE TABLE IF NOT EXISTS `".$NPDS_Prefix."modprojets_projets` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `nom` varchar(50) NOT NULL,
 `description` varchar(255) NOT NULL,
 `id_categorie` int(11) NOT NULL,
 `version` varchar(20) NOT NULL,
 `avancement` int(3) NOT NULL,
 `developpeur` varchar(50) NOT NULL,
 PRIMARY KEY  (`id`)) TYPE=MyISAM COMMENT='Module Projet - Liste des projets';");
 
#autodoc $blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""))
#autodoc                titre      contenu    membre     groupe     index      rtention  actif      aide       description
#autodoc Configuration des blocs

$blocs = array(array("Suivi de projets"), array("include#modules/eca-projet/eca-projet-bloc.php      "), array("0"), array(""), array("1"), array("0"), array("1"), array("Ce bloc vous permet de suivre l\'avancement des diffrents projets du site."), array("Bloc d'affichage des projets"));


#autodoc $txtdeb : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera au dbut de l'install
#autodoc Si rien n'est mis, le texte par dfaut sera automatiquement affich

$txtdeb = "";


#autodoc $txtfin : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera  la fin de l'install

$txtfin = "<div align=\"center\"><font size=\"3\">Merci d'avoir install&eacute; ECA-Projet.<br /><br />Si vous souhaitez changer la couleur des barres, ou modifier le titre du bloc, modifiez le fichier eca-projet.conf.php qui se trouve dans le r&eacute;pertoire d'installation du module.<br /><br /><i>Note : Si vous apprciez ce module, vous pouvez remercier son dveloppeur en activant le pied de page du module en passant la variable \$affiche_footer  true dans le fichier de configuration.</i><br /><br />Bon suivi de projet,<br /></font></div><font size=\"3\"><br /></font><div align=\"right\"><font size=\"3\"><i>Boris<br /><a href=\"http://e-concept-applications.fr\" target=\"_blank\" title=\"E-Concept Applications\">E-Concept Applications</a></i><br /></font></div>";


#autodoc $link: Lien sur lequel sera redirig l'utilisateur  la fin de l'install (si laiss vide, redirig sur index.php)
#autodoc N'oubliez pas les '\' si vous utilisez des guillemets !!!

$end_link = "admin.php?op=Extend-Admin-SubModule&ModPath=eca-projet&ModStart=admin/eca-projet-admin";
?>
